# comment out when not pre-release
%define prel	alpha2

%define rel	3

Name:		nmapsi4
Version:	0.5
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Complete Qt5-based Gui to provide a complete nmap interface
Group:		Networking/Other
License:	GPLv2
Url:		https://github.com/nmapsi4/nmapsi4
Source0:	https://sourceforge.net/projects/nmapsi/files/%{name}-%{version}/%{name}-%{version}%{?prel:-%prel}.tar.xz
Patch0:		nmapsi4-0.5-mga-fix-desktop-file-install.patch
BuildRequires:	kf5-macros
BuildRequires:	qttools5
BuildRequires:	nmap >= 6.00
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	nmap >= 6.00
Requires:	kde-cli-tools

# mga#27930
Provides:	nmap-frontend

%description
NmapSI4 is a complete Qt5-based Gui with the design goals to provide a complete
nmap interface for Users, in order to management all option of this power 
security net scanner.

%files
%doc AUTHORS README.md NEWS TODO
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}*.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.%{name}.Nmapsi4.xml
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_kf5_datadir}/%{name}
%dir %{_kf5_datadir}/%{name}/locale
%lang(ca) %{_kf5_datadir}/%{name}/locale/nmapsi4_ca.qm
%lang(cs) %{_kf5_datadir}/%{name}/locale/nmapsi4_cs.qm
%lang(de) %{_kf5_datadir}/%{name}/locale/nmapsi4_de.qm
%lang(es) %{_kf5_datadir}/%{name}/locale/nmapsi4_es.qm
%lang(fr) %{_kf5_datadir}/%{name}/locale/nmapsi4_fr.qm
%lang(it) %{_kf5_datadir}/%{name}/locale/nmapsi4_it.qm
%lang(ru) %{_kf5_datadir}/%{name}/locale/nmapsi4_ru.qm

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 0.5-0.alpha2.3.mga9
+ Revision: 1845030
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 daviddavid <daviddavid> 0.5-0.alpha2.2.mga8
+ Revision: 1663961
- fix desktop files

* Sat Dec 26 2020 daviddavid <daviddavid> 0.5-0.alpha2.1.mga8
+ Revision: 1663960
- new version: 0.5-aplpha2
- provides nmap-frontend (mga#27930)

* Thu Dec 17 2020 umeabot <umeabot> 0.5-0.alpha1.5.mga8
+ Revision: 1659129
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.5-0.alpha1.4.mga8
+ Revision: 1524836
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.5-0.alpha1.3.mga7
+ Revision: 1383534
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5-0.alpha1.2.mga7
+ Revision: 1299751
- Mageia 7 Mass Rebuild

* Mon Jun 06 2016 daviddavid <daviddavid> 0.5-0.alpha1.1.mga6
+ Revision: 1020463
- new version: 0.5-aplha1
- port to Qt5/Kf5
- update description and summary

* Fri Apr 01 2016 daviddavid <daviddavid> 0.4-6.mga6
+ Revision: 997296
- add patch0 to fix build with CMake 3.4 and higher
- remove empty lang files to fix build with latest rpm
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 743656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-4.mga5
+ Revision: 682897
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 508333
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 juancho <juancho> 0.4-1.mga3
+ Revision: 341040
- Updated to version 0.4

* Sat Dec 31 2011 juancho <juancho> 0.3-1.mga2
+ Revision: 189195
- Removed {} from mkrel call
- Changed spaces for identation for better readability
- Removed Sources 1 and 2 and transformed them into a patch
- Changed make for %%make macro at %%build
- Cleaned BuildRoot remaining stuff
- Removed defattr
+ gejo <gejo>
- imported package nmapsi4

